Name: mod_mono
Version: 2.10
Release: 3%{?dist}
License: MIT
URL: http://www.mono-project.com/Main_Page
Source0:        http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: mono-devel >= 2.10, xsp-devel >= 2.10, pkgconfig, httpd-devel apr-devel
Patch0: mod_mono-2.8-varrun.patch
Requires: httpd >= 2.2, mono-core, xsp
Summary: A module to deploy an ASP.NET application on Apache with Mono
Group: System Environment/Daemons

ExclusiveArch: %ix86 x86_64 ia64 %{arm} sparc alpha ppc ppc64

%description

mod_mono allows Apache to serve ASP.NET pages by proxying the requests 
to a slightly modified version of the XSP server, called mod-mono-server, 
that is installed along with XSP
 
%prep
%setup -q 
%patch0 -p1 -b .varrun
# fixup character set
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && \
touch -r ChangeLog ChangeLog.conv && \
mv -f ChangeLog.conv ChangeLog

%build
%configure --disable-static
make %{?_smp_mflags} 

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
mv %{buildroot}%{_sysconfdir}/httpd/conf/mod_mono* %{buildroot}%{_sysconfdir}/httpd/conf.d/
rm -rf %{buildroot}%{_sysconfdir}/httpd/conf

mkdir -p %{buildroot}/var/run/mod_mono

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README INSTALL
%{_libdir}/httpd/modules/mod_mono.so*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_mono.conf
%attr(0755,apache,apache) /var/run/mod_mono
%{_mandir}/man8/mod_mono.8*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Paul Whalen <paul.whalen@senecac.on.ca> - 2.10-2
- Added arm macro to ExclusiveArch

* Wed Mar 30 2011 Christian Krause <chkr@fedoraproject.org> - 2.10-1
- Update to 2.10
- Minor spec file cleanup

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 01 2010 Christian Krause <chkr@fedoraproject.org> - 2.8-2
- Rebuild again to create correct requires/provides capabilities

* Sat Oct 09 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-1
- Bump to 2.8
- Update socket patch

* Sat Aug 14 2010 Christian Krause <chkr@fedoraproject.org> - 2.6.3-3
- Place the default socket for mod_mono_server into /var/run/mod_mono/ 
  so that it can be created by user apache when mod_mono_server is
  started via httpd (by updating mod_mono-2.6-varrun.patch, BZ 607718)

* Wed Jun 23 2010 Christian Krause <chkr@fedoraproject.org> - 2.6.3-2
- Fix encoding of ChangeLog

* Fri Mar 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.3-1
- Bump to 2.6.3 release version
- Fix URL and SRC URL

* Tue Dec 22 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-2
- Bump to 2.6 release

* Sat Oct 03 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-1
- Bump to 2.6 preview 1

* Tue Jun 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-1
- Bump to 2.4.2 preview
- Reenable ppc
- Add in ppc64 support

* Mon Apr 06 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-4.1
- Remove ppc support

* Thu Mar 26 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-4
- Full 2.4 release

* Wed Mar 18 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-3.RC3
- Bump to RC3

* Tue Mar 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-3.RC2
- Bump to RC2

* Fri Feb 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-2.RC1
- Bump to RC1

* Sat Jan 28 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1.pre1.20090124svn124159
- Update to 2.4
- altered BRs to use mono-2.4
- retagged as pre-1

* Fri Jan 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4.RC2.20090901svn122806
- Bump to RC2
- Big update from svn

* Wed Dec 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3.pre3.20081217svn117989
- Bump to preview 3
- Move to svn for bug fixes

* Sat Dec 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2.pre2
- Bump to preview 2

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1.pre1
- Bump to 2.2 preview 1
- incorporate fix to the var-run patch (thanks to Dario Lesca)

* Sat Oct 11 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-6
- use var run instead of tmp
- added additional Requires

* Fri Oct 10 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-5
- fix URLs

* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-4
- bump to RC4

* Mon Sep 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-3
- bump to RC3

* Tue Sep 09 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-2
- bump to 2.0 RC 1

* Sun Aug 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-1
- bump to 2.0 preview 1
- licence changed and other spec file alterations

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.6-2.1
- Autorebuild for GCC 4.3

* Thu Dec 20 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1.1
- remove arch ppc64

* Thu Nov 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1
- bump 
- url fix

* Sun Nov 18 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.5-1
- bump

* Sat Apr 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4-1
- bump

* Sat Nov 25 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-1
- bump

* Fri Nov 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2-1
- bump

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.18-1
- bump

* Fri Sep 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-3
- Spec file fixes
- Modified SOURCE0 and URL tags

* Thu Aug 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-1
- bump to new version
- Altered BR xsp to BR xsp-devel

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.14-3
- removed static libdir
- included archs mono is currently on

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.14-2
- libdir now usr-lib irrespective of the architecture built on
- minor change to spec file

* Mon Apr 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.14-1
- Initial import for FE
- Spec file based on the Novell version (though quite hacked)

